<?php
/*2012/12/30
 * 饹λüԤؽ
 */

require_once '../../data/constant.php';
require_once '../../data/db_access.php';
require_once '../../data/table_access.php';
require_once '../../data/data_for_test.php';
require_once '../../data/data_for_group.php';
require_once '../../util/for_analyze.php';
require_once '../../util/make_item.php';

session_start();
if (!isset($_SESSION[SESSION_ADMIN])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."teacher/login.php");
	exit;
}
//
$admin_nam ="";
$admin_status ="";
$admin_id="";
$ses_list = $_SESSION[SESSION_ADMIN];


if ($ses_list['status'] == 0) {
	$admin_status =$ses_list['status'];
	$admin_id=$ses_list['teacher_id'];
	$admin_nam =$ses_list['teacher_nam'];
} else {
	$admin_status =$ses_list['status'];
	$admin_id=$ses_list['teacher_id'];
}

if (!isset($_GET["class_id"]) || !is_numeric($_GET["class_id"])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."teacher/login.php");
	exit;
}
$class_id = $_GET["class_id"];
$class_nam = "";
$period = "3";
$department = "";
if (isset($_GET["range"])) {
	$period = $_GET["range"];
}
if (isset($_GET["department"]) && is_numeric($_GET["department"])) {
	$department = $_GET["department"];
}

$analysis_table = "";
$err_msg = "";

$data_object = new CDbAccess();
if ($data_object->openDB() == false) {
	$err_msg .= $data_object->err_msg;
} else {

	if ($ses_list['is_cube'] == 1) {
		if (!$data_object->setCharForCube()) {
			$err_msg .= $data_object->err_msg;
		}
	}

	$class_data_object = new CClassInfoTableAccess();
	$data = $class_data_object->getOneClass($data_object->conn, $class_id);
	if ($data == false) {
		$err_msg = "Class data was not found.";
	} else {

		if ($admin_status <>1) {
			$cl_te_obj = new CClassTeacherTableAccess();
			if (!$cl_te_obj->checkPermission($data_object->conn, $admin_id, $class_id)) {
				header("Content-Type: text/html; charset=EUC-JP");
				header(URL_SET."teacher/login.php");
				exit;
			}
		}
		/*
			if ($admin_status <>1 && $data["teacher_id"] <> $admin_id) {
		header("Content-Type: text/html; charset=EUC-JP");
		header(URL_SET."teacher/login.php");
		exit;
		}
		*/
		$class_nam = htmlspecialchars(mb_convert_encoding($data['name'],'UTF-8', XOOPS_SRT_ENCODE),ENT_QUOTES);
	}
	if ($ses_list['is_cube'] == 1) {
		if (!$data_object->setCharForExam()) {
			$err_msg .= $data_object->err_msg;
		}
	}

	$prac_hist_obj = new CPracAnaClassWithPeri();
	if ($prac_hist_obj->main2($data_object->conn, $class_id, $period,$department)) {
		$analysis_table = $prac_hist_obj->getPracHistTbl();
	} else {
		$err_msg = $prac_hist_obj->getErrMsg();
	}
	$dep_object = new CCreateDepSelect($data_object->conn, $department);
	$dep_object->setDataForInput();
	$department_sel = $dep_object->getPullDown("department", $department);

	$data_object->closeDB();
}

$show_data = file_get_contents(TEMPLATE_DIR.'ad_analyze/admin_prac_mem.tpl');

if ($period == "ALL") {
	$show_data = str_replace(':RANGE12_CHECKED:', "SELECTED", $show_data);
}
for ($i=3; $i<=12; $i+=3) {
	if ($period == $i) {
		$show_data = str_replace(':RANGE'.$i.'_CHECKED:', "SELECTED", $show_data);
	} else {
		$show_data = str_replace(':RANGE'.$i.'_CHECKED:', "", $show_data);
	}
}

$show_data = str_replace(':ERR_MSG:', $err_msg, $show_data);
$show_data = str_replace(':CLASS_NAM_REP:', $class_nam, $show_data);

$show_data = str_replace(':CLASS_ID_REP:', $class_id, $show_data);
$show_data = str_replace(':DEP_SEL_REP:', $department_sel, $show_data);
$show_data = str_replace(':TBL_DATA:', $analysis_table, $show_data);

echo $show_data;
?>