<?php
/*
 * 2015/6/26 ǧ
 */


require_once '../../data/constant.php';
require_once '../../data/db_access.php';
require_once '../../data/table_access.php';
require_once '../../data/data_for_test.php';
require_once '../../util/make_item.php';
require_once '../../util/for_practice.php';
require_once '../../data/data_for_mobile.php';
require_once '../../util/change_util.php';
require_once '../../util/post_util.php';


ini_set("session.save_handler","files");
ini_set('session.use_trans_sid', '1');

session_start();
$agent = $_SERVER['HTTP_USER_AGENT'];

if (mb_ereg("^DoCoMo", $agent)){
	$sis_id="?".session_name()."=".session_id();
	$mobile_id = $_SERVER['HTTP_X_DCMGUID'];
	$display_items = "none";
	$is_mob = 1;
} else {
	if(mb_ereg("^J-PHONE|^Vodafone|^SoftBank", $agent)){
		$mobile_id = $_SERVER['HTTP_X_JPHONE_UID'];
		$display_items = "none";
		$is_mob = 1;
	}else if(mb_ereg("^UP.Browser|^KDDI", $agent)){
		$mobile_id = $_SERVER['HTTP_X_UP_SUBNO'];
		$display_items = "none";
		$is_mob = 1;
	} else {
		$display_items = "inline";
		$is_mob = 0;
	}
	$sis_id = "";
}

if (!isset($_SESSION[SESSION_USR]) && $mobile_id<>"") {
	$data_object = new CDbAccess();
	if ($data_object->openDB() == false) {
		$err_msg .= $data_object->err_msg;
	} else {
		$is_cube = 0;
		if (file_exists('../../../../include/cubecore_init.php')) $is_cube = 1;
		$mobile_login_object = new CMobileAndStudentAccess();
		if ($is_cube == 1) $data_object->setCharForCube();
		if ($mobile_login_object->setDataForLogCheck($data_object->conn,$mobile_id)){
			if ($res = $mobile_login_object->dbFetchArr()) {
				$ses_arr = array();
				$ses_arr['student_nam'] = mb_convert_encoding($data_arr['student_nam'],'UTF-8',XOOPS_SRT_ENCODE);
				$ses_arr['student_id'] = $data_arr['student_id'];
				//$ses_arr['status'] = $data_arr['status'];
				$ses_arr['is_cube'] = $is_cube;
				//$ses_arr['grade'] = $data_arr['grade'];
				$_SESSION[SESSION_USR] = $ses_arr;
			}
			$mobile_login_object->dbFreeResult();
		}
		if ($is_cube == 1) $data_object->setCharForExam();

		$data_object->closeDB();
	}
}

if (!isset($_SESSION[SESSION_USR])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."usr/login.php");
	exit;
}

$link_file = "";
$back_file="";
$answered = $_POST;

$practice_id = "";

if (isset($_POST["is_series"]) && $_POST["is_series"] == 1) {
	$link_file = "view_result.php";
	$back_file = "nowpractice.php";
	$practice_id = $_POST["q_id"];
} else if (isset($_POST["is_rec"]) && $_POST["is_rec"] == 1) {
	$link_file = "view_one_result.php";
	$back_file = "../recommend/do_one_rec.php";
	$practice_id = $_POST["practice_id"];
} else {
	$link_file = "view_one_result.php";
	$back_file = "do_one_prac.php";
	$practice_id = $_POST["practice_id"];
}


$show_data="";
$pform="";
$hidden_for_back="";
$button_status = "";

$data_object = new CDbAccess();
if ($data_object->openDB() == false) {
	$err_msg .= $data_object->err_msg;
	$button_status = "DISABLED";
} else {
	
	$confirm_obj = new AnsConfirmer();
	
	if (!$confirm_obj->setPForm ($data_object->conn, $_POST)) {
		$err_msg .= $confirm_obj->getErrMsg();
		$button_status = "DISABLED";
	} else {
		$pform=$confirm_obj->getPForm();
		$hidden_for_back=$confirm_obj->getHiddenForBack();
	}

	
	
	$data_object->closeDB();

}

$show_data = file_get_contents(TEMPLATE_DIR.'usr_prac/ans_confirm.tpl');

$show_data = str_replace(':ERR_MSG_REP:', $err_msg, $show_data);

$show_data = str_replace(':PRACTICE_FORM_REP:',$pform, $show_data);

$show_data = str_replace(':BACK_FORM_REP:',$hidden_for_back, $show_data);


$show_data = str_replace(':REGIST_FILE_REP:',$link_file, $show_data);
$show_data = str_replace(':BACK_FILE_REP:',$back_file, $show_data);

$show_data = str_replace(':BUTTON_ST_REP:',$button_status, $show_data);
$show_data = str_replace(':PRAC_ID_REP:',intval($practice_id), $show_data);


echo $show_data;
?>