<?php
/*
 * Ѥˡɽ
 */
require_once '../../data/constant.php';
require_once '../../data/db_access.php';
require_once '../../data/table_access.php';
require_once '../../data/data_for_test.php';
require_once '../../util/make_item.php';
require_once '../../util/for_practice.php';
require_once '../../util/change_util.php';

session_start();
if (!isset($_SESSION[SESSION_USR])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."usr/login.php");
	exit;
}
$ses_arr = $_SESSION[SESSION_USR];
//桼ξ
$st_nam = $ses_arr['student_nam'];
$st_id	= $ses_arr['student_id'];
//$st_status = $ses_arr['status'];
//$st_grade = $ses_arr['grade'];

$practice_id = "";
$question_id = "";

$edit_disp = "none";

$prac_list_txt = "no data";
$is_already_flaged ="";
$flag_submit_label ="";
$show_other_disp = "none";
$shared_emad_disp = "no data";
$comment_list = "";
$comment_navi = "";
$analysis_list = "";
$prac_disp = "inline";
$text_id = "";

$history="";
$bunpu = "";

if (isset($_REQUEST['practice_id']) && is_numeric($_REQUEST['practice_id'])){
	$practice_id = $_REQUEST['practice_id'];
}

if (isset($_REQUEST['question_id']) && is_numeric($_REQUEST['question_id'])){
	$question_id = $_REQUEST['question_id'];
}

if ($practice_id == "" && $question_id == "") {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."usr/login.php");
	exit;
}

if (isset($_SESSION["tmp_img"])) {
	if (is_dir(DOC_ROOT."img_files/".$_SESSION["tmp_img"])) {
		//unlink($input_inf_arr['tmp_img_dir']."/".$input_inf_arr['img_file']);
		//rmdir($input_inf_arr['tmp_img_dir']);
		$img_files = scandir(DOC_ROOT."img_files/".$_SESSION["tmp_img"]);
		foreach($img_files as $del_img){
			if ($del_img <> "." && $del_img <> "..") unlink(DOC_ROOT."img_files/".$_SESSION["tmp_img"]."/".$del_img);
		}
		rmdir(DOC_ROOT."img_files/".$_SESSION["tmp_img"]);
	}
	unset($_SESSION["tmp_img"]);
}

if (isset($_SESSION["tmp_av"])) {
	if (is_dir(DOC_ROOT."av_files/".$_SESSION["tmp_av"])) {
		$av_files = scandir(DOC_ROOT."av_files/".$_SESSION["tmp_av"]);
		foreach($av_files as $del_av){
			if ($del_av <> "." && $del_av <> "..")  unlink(DOC_ROOT."av_files/".$_SESSION["tmp_av"]."/".$del_av);
		}
		rmdir(DOC_ROOT."av_files/".$_SESSION["tmp_av"]);
	}
	unset($_SESSION["tmp_av"]);
}

$practice_title = "";
$practice_txt = "";
$answer = "";
$dep = "";
$dep_name="";
$lev = "";
$lev_name="";
$dif = "";
$dif_name="";
$status = "";
$comment = "";
$err_msg = "";
$department_sel = "";
$level_sel="";
$dif_sel = "";
$img_file = "";
$img_url = "";
$is_file_input_display = "inline";
$is_file_exist_display ="none";

$is_avfile_input_display = "inline";
$is_avfile_exist_display ="none";
$av_file ="";
$av_url = "";

$key_word_arr = array();
$item_bango_arr = array();
$item_txt_arr = array();
$item_is_right_arr = array();

$is_keyword_display = "none";
$is_item_display = "none";
$creater_disp = "";
$for_del = "";

$data_object = new CDbAccess();
if ($data_object->openDB() == false) {
	$err_msg .= $data_object->err_msg;
} else {
	$practice_object = new CPracTableAccess();
	if ($practice_id <> "") {
		$practice_data = $practice_object->getDetailPracticeData($data_object->conn,$practice_id);
	if ($practice_data == false) {
		$err_msg .= "No Data Found";
	} else {
		$answer = intval($practice_data['answer']);
		$department_id = intval($practice_data['department']);
		$level_id = intval($practice_data['level']);
		$practice_title = htmlspecialchars($practice_data['practice_title'],ENT_QUOTES);
		$practice_text = htmlspecialchars($practice_data['practice_text'],ENT_QUOTES);
		$difficulty =intval($practice_data['exp_dif']);
		$status = intval($practice_data['status']);
		$comment = htmlspecialchars($practice_data['comment'],ENT_QUOTES);
		$cre_student_id = intval($practice_data['cre_student_id']);

		$img_file = $practice_data["img_file"];
		if ($img_file <> "") {
			$img_url = "<a href='#' onClick='changeImg(0)'>";

			$img_url .="<img src='".LOCAL_URL."img_files/prac_".$practice_id."/".$img_file."' width='300' height='200' />";
			$img_url .="</a>";
			$is_file_input_display = "none";
			$is_file_exist_display ="inline";
		}

		$av_file = $practice_data['av_file'];
		if ($av_file <> "" && $av_file <> null) {
			$av_url .="<embed src='".LOCAL_URL."av_files/prac_".$practice_id."/".$av_file."' width='300' height='200' />";
			$is_avfile_input_display = "none";
			$is_avfile_exist_display ="inline";
		}

		$question_id = intval($practice_data['parent_question']);
				//if ($answer == 0) {
		if ($answer == 0 || $answer == 5 || $answer == 6) {
			$key_word_object = new CPracKeyWordTableAccess();
			if ($key_word_object->setKeyWordPerPracticeArr($data_object->conn, $practice_id)) {
				while ($key_word_data = $key_word_object->dbFetchArr()) {
					array_push($key_word_arr, htmlspecialchars($key_word_data['key_word_txt'],ENT_QUOTES));

				}
				$key_word_object->dbFreeResult();
			}

			$is_keyword_display = "inline";
			$is_item_display = "none";
		} else if ($answer == 1 || $answer == 2) {
			$item_object = new CPracItemTableAccess();
			if ($item_object->setItemPerPracticeArr($data_object->conn, $practice_id)) {
				while ($item_data = $item_object->dbFetchArr()) {
					array_push($item_bango_arr,htmlspecialchars($item_data['item_order'],ENT_QUOTES));
					array_push($item_txt_arr,htmlspecialchars($item_data['item_txt'],ENT_QUOTES));
					array_push($item_is_right_arr,$item_data['is_right']);
				}
				$item_object->dbFreeResult();
			}
			$is_keyword_display = "none";
			$is_item_display = "inline";
		}
		if ($st_id == $cre_student_id) $edit_disp = "inline";
	}
	$prac_flag_object = new CPracFlagTableAccess();
		//ե饰ΩäƤ뤫å
	if ($prac_flag_object->setOnePracticeFlag($data_object->conn,$st_id,$practice_id)) {
		//ե饰ΩäƤ
		if ($res=$prac_flag_object->dbFetchArr()) {
			$is_already_flaged ="<img src='".LOCAL_URL."/images/flag_check.png' width=20 height=20/>"._EXAM_STU_PRACTICE_FLAGGED;
			$flag_submit_label =_EXAM_STU_PRACTICE_DEFLAGBUT;
		} else {
			$is_already_flaged =_EXAM_STU_PRACTICE_NOTFLAGGED;
			$flag_submit_label =_EXAM_STU_PRACTICE_FLAGBUT;
		}
		$prac_flag_object->dbFreeResult();
	}
	if (isset($_GET['flag_flag']) && $_GET['flag_flag'] == 1) {
		if ($flag_submit_label == _EXAM_STU_PRACTICE_DEFLAGBUT) {
			//ե饰äƤΤǡ
			$prac_flag_object->deletePracticeFlag($data_object->conn,$st_id,$practice_id);
			$is_already_flaged =_EXAM_STU_PRACTICE_NOTFLAGGED;
			$flag_submit_label =_EXAM_STU_PRACTICE_FLAGBUT;
		} else if ($flag_submit_label == _EXAM_STU_PRACTICE_FLAGBUT) {
			//ե饰ʤΤǡ
			$prac_flag_object->insertPracFlagDataExe($data_object->conn,$st_id,$practice_id,$department_id);
			$is_already_flaged ="<img src='".LOCAL_URL."/images/flag_check.png' width=20 height=20/>"._EXAM_STU_PRACTICE_FLAGGED;
			$flag_submit_label =_EXAM_STU_PRACTICE_DEFLAGBUT;
		}
	}

	if ($status == 0) {
			//桼ξˡͭꤹ뤿
		$show_other_disp = "inline";
		$share_pra_email_object = new CSharePractice();
		if (isset($_POST['mail_ads']) && $_POST['mail_ads'] <> "") {
			$mail_arr = explode(",",$_POST['mail_ads']);
			if (!$share_pra_email_object->insertShowOtherData(
				$data_object->conn,$practice_id,$mail_arr)) {
				//$err_msg .= $share_pra_email_object->getErrMsg();
			}
		}
		if ($share_pra_email_object->setSharedEmailList($data_object->conn,$practice_id)){
			$shared_emad_disp = $share_pra_email_object->getSharedEmailList();
		} else {
			$err_msg .= $share_pra_email_object->getErrMsg();
		}
	}
	//ؤΥ
	$start_id = 0;
	if (isset($_GET['pgid']) && is_numeric($_GET['pgid'])) {
		$start_id = $_GET['pgid'];
	}
	$prac_com_object = new CPracticeComment();
	$prac_com_object->setCommentList($data_object->conn,$practice_id,$start_id,0);
	$comment_list = $prac_com_object->getCommentList();
		//桼ǯ
	if (is_numeric($cre_student_id)) {
		$student_object = new CStudentTableAccess();
		if ($ses_arr['is_cube'] ==1) $data_object->setCharForCube();
		$st_data = $student_object->getOneStudent($data_object->conn, $cre_student_id);
		if ($st_data <> false) {
			$creater_disp = htmlspecialchars(mb_convert_encoding($st_data["uname"],'UTF-8',XOOPS_SRT_ENCODE),3)._EXAM_COMMON_PRACTICE_MAKE_USR;
		}
		if ($ses_arr['is_cube'] ==1) $data_object->setCharForExam();
	}

		//˺줿
		if ($practice_object->setPracFromPrac ($data_object->conn, $practice_id)) {
			while ($result = $practice_object->dbFetchArr()) {
				$prac_list_txt .= htmlspecialchars($result['practice_title'],ENT_QUOTES)."<p/>";
				//$prac_list_txt .= nl2br(htmlspecialchars($result['practice_text'],ENT_QUOTES))."<p/>";
				$prac_list_txt .= source2Html($result['practice_text'])."<p/>";
				if ($result['img_file'] <> "") {
				$prac_list_txt .="<img src='".LOCAL_URL."img_files/prac_".$result['practice_id']."/".$result['img_file']."' width='300' height='200' /><br/>";
				}
				if ($result['av_file'] <> "" && $result['av_file'] <> null) {
				$prac_list_txt .="<embed src='".LOCAL_URL."av_files/prac_".$result['practice_id']."/".$result['av_file']."' width='300' height='200' /><br/>";
				}

				if ($result['answer'] == 0 || $result['answer'] == 5) {
					$prac_list_txt .= "<input type='text' size=50/><br/>";
				} else if ($result['answer'] == 1 || $result['answer'] == 2) {
					$item_object = new CPracItemTableAccess();
					if ($item_object->setItemPerPracticeArr($data_object->conn, $result['practice_id'])) {
						while ($item_data = $item_object->dbFetchArr()) {
							if ($result['answer'] == 1) {
								$prac_list_txt .= "<input type='radio'/>";
							} else {
								$prac_list_txt .= "<input type='checkbox'/>";
							}
							$prac_list_txt .= "<b>".htmlspecialchars($item_data['item_order'],ENT_QUOTES)."</b> ";
							//$prac_list_txt .= htmlspecialchars($item_data['item_txt'],ENT_QUOTES)."<br/>";
							$prac_list_txt .= source2Html($item_data['item_txt'])."<br/>";

						}
						$item_object->dbFreeResult();
					}
				}
				$prac_list_txt .= "<p/><hr width = '90%' align='center'/>";
			}
			$practice_object->dbFreeResult();
		}
		//ʬ
		$prac_ana_object = new CPracAnalysis();
		if (!$prac_ana_object->setPracInfo($data_object->conn, $practice_id,$st_id)) {
			$analysis_list = "No Data";
		} else {
			$prac_ana_object->setUsrShowList();
			$analysis_list = $prac_ana_object->getUsrShowList();
			$history = $prac_ana_object->getHistory();

		}
	//ʬ
		$prac_result_object = new CPracResTableAccess();
		if ($prac_result_object->setBunpuOfOnePrac($data_object->conn, $practice_id)) {
			while ($res = $prac_result_object->dbFetchArr()) {
				$bunpu .= "<tr><td>";
				$bunpu .= htmlspecialchars($res["answered"],3);
				if ($res["is_right"] == 1) {
					$bunpu .= "("._EXAM_STU_PRACTICE_RIGHT.")";
				}
				$bunpu .= "<br/></td><td>".$res["cnt"]."</td></tr>";
			}
			$prac_result_object->dbFreeResult();
		}

	} else if ($question_id <> "") {
	$qt_object = new CTextQuestionAccess();
	if (!$qt_object->setSinglePracticeData($data_object->conn,$question_id)) {
		$err_msg .= "No Data Found";
	} else {
		if ($qt_data = $qt_object->dbFetchArr()) {
			$answer = intval($qt_data['answer']);
			$department_id = intval($qt_data['department_id']);
			$level_id = intval($qt_data['level']);
			$practice_title = htmlspecialchars($qt_data['text_title'],ENT_QUOTES);
			$practice_text = htmlspecialchars($qt_data['tt_content'],ENT_QUOTES)."\n\n";
			$practice_text .= htmlspecialchars($qt_data['qt_content'],ENT_QUOTES);
			$difficulty =intval($qt_data['exp_dif']);
			$comment = htmlspecialchars($qt_data['example'],ENT_QUOTES)."\n";
			$comment .= htmlspecialchars($qt_data['comment'],ENT_QUOTES);
			$rep_key = $qt_data['rep_key'];

			$img_file = $qt_data["img_file"];
			$text_id = $qt_data["text_id"];
			if ($img_file <> "") {
				$img_url = "<a href='#' onClick='changeImg(0)'>";

				$img_url .="<img src='".LOCAL_URL."img_files/".$text_id."/".$img_file."' width='300' height='200' />";
				$img_url .="</a>";
				$is_file_input_display = "none";
				$is_file_exist_display ="inline";
			}

			$av_file = $qt_data["av_file"];
			if ($av_file <> "" && $av_file <> null) {
				$av_url .="<embed src='".LOCAL_URL."av_files/".$text_id."/".$av_file."' width='300' height='200' />";
				$is_avfile_input_display = "none";
				$is_avfile_exist_display ="inline";
			}

			$prac_disp = "none";

			$rep_obj = new rep_tag_ctl($practice_text);
			$rep_obj->rep_exe($rep_key, "");
			$practice_text = $rep_obj->rep_finish();

						//if ($answer == 0 || $answer == 3) {
			if ($answer == 0 || $answer == 3 || $answer ==5) {
				$key_word_object = new CKeyWordTableAccess();
				$key_word_data = $key_word_object->getKeyWordPerQuestion($data_object->conn,$question_id);
				if ($key_word_data <> false) {
					foreach ($key_word_data as $child) {
						array_push($key_word_arr, htmlspecialchars($child['key_word_txt'],ENT_QUOTES));
					}
				}
				$is_keyword_display = "inline";
				$is_item_display = "none";

			} else {
				$item_object = new CItemTableAccess();
				$item_data = $item_object->getItemPerQuestion($data_object->conn,$question_id);
				if ($item_data <> false) {
					foreach ($item_data as $child) {
					array_push($item_bango_arr,htmlspecialchars($child['item_order'],ENT_QUOTES));
					array_push($item_txt_arr,htmlspecialchars($child['item_txt'],ENT_QUOTES));
					array_push($item_is_right_arr,$child['is_right']);
					}
				}
				$is_keyword_display = "none";
				$is_item_display = "inline";
			}
		}
		$qt_object->dbFreeResult();
	}

				//˺줿
	if ($practice_object->setPracFromQues ($data_object->conn, $question_id)) {
		while ($result = $practice_object->dbFetchArr()) {
			$prac_list_txt .= htmlspecialchars($result['practice_title'],ENT_QUOTES)."<p/>";
			//$prac_list_txt .= nl2br(htmlspecialchars($result['practice_text'],ENT_QUOTES))."<p/>";
			$prac_list_txt .= source2Html($result['practice_text'])."<p/>";

			if ($result['img_file'] <> "") {
				$prac_list_txt .="<img src='".LOCAL_URL."img_files/prac_".$result['practice_id']."/".$result['img_file']."' width='300' height='200' /><br/>";
			}
			if ($result['av_file'] <> "" && $result['av_file'] <> null) {
				$prac_list_txt .="<embed src='".LOCAL_URL."av_files/prac_".$result['practice_id']."/".$result['av_file']."' width='300' height='200' /><br/>";
			}
			if ($result['answer'] == 0 || $result['answer'] == 5 || $result['answer'] == 6) {
				$prac_list_txt .= "<input type='text' size=50/><br/>";
			} else if ($result['answer'] == 1 || $result['answer'] == 2) {
				$item_object2 = new CPracItemTableAccess();
				if ($item_object2->setItemPerPracticeArr($data_object->conn, $result['practice_id'])) {
					while ($item_data = $item_object2->dbFetchArr()) {
						if ($result['answer'] == 1) {
							$prac_list_txt .= "<input type='radio'/>";
						} else {
							$prac_list_txt .= "<input type='checkbox'/>";
						}
						$prac_list_txt .= "<b>".htmlspecialchars($item_data['item_order'],ENT_QUOTES)."</b> ";
					//	$prac_list_txt .= htmlspecialchars($item_data['item_txt'],ENT_QUOTES)."<br/>";
						$prac_list_txt .= source2Html($item_data['item_txt'])."<br/>";
					}
					$item_object2->dbFreeResult();
				}
			}
			$prac_list_txt .= "<p/><hr width = '90%' align='center'/>";
		}
		$practice_object->dbFreeResult();
	}

	}

	$dep_object = new CCreateDepSelect($data_object->conn);
	$dep_object->setDataForInput();
	$department_sel = $dep_object->getPullDown("department", $department_id);
	$dep_dat_arr  = $dep_object->getBasicData();

	$dif_object = new CCreateDifficSelect($data_object->conn);
	$dif_object->setDataForInput();
	$dif_sel = $dif_object->getRadioList ("dif", $difficulty);
	$dif_dat_arr = $dif_object->getBasicData();

	$lev_object = new CCreateTxtLevelSelect($data_object->conn);
	$lev_object->setDataForInput();
	$level_sel = $lev_object->getRadioList ("lev", $level_id);
	$lev_dat_arr = $lev_object->getBasicData();
/*
	//˺줿
	if ($practice_object->setPracFromPrac ($data_object->conn, $practice_id)) {
		while ($result = $practice_object->dbFetchArr()) {
			$prac_list_txt .= htmlspecialchars($result['practice_title'],ENT_QUOTES)."<p/>";
			$prac_list_txt .= nl2br(htmlspecialchars($result['practice_text'],ENT_QUOTES))."<p/>";
			if ($result['img_file'] <> "") {
			$prac_list_txt .="<img src='".LOCAL_URL."img_files/prac_".$result['practice_id']."/".$result['img_file']."' width='300' height='200' /><br/>";
			}
			if ($result['answer'] == 0 || $result['answer'] == 5) {
				$prac_list_txt .= "<input type='text' size=50/><br/>";
			} else if ($result['answer'] == 1 || $result['answer'] == 2) {
				if ($item_object->setItemPerPracticeArr($data_object->conn, $result['practice_id'])) {
					while ($item_data = $item_object->dbFetchArr()) {
						if ($result['answer'] == 1) {
							$prac_list_txt .= "<input type='radio'/>";
						} else {
							$prac_list_txt .= "<input type='checkbox'/>";
						}
						$prac_list_txt .= "<b>".htmlspecialchars($item_data['item_order'],ENT_QUOTES)."</b> ";
						$prac_list_txt .= htmlspecialchars($item_data['item_txt'],ENT_QUOTES)."<br/>";
					}
					$item_object->dbFreeResult();
				}
			}
			$prac_list_txt .= "<p/><hr width = '90%' align='center'/>";
		}
		$practice_object->dbFreeResult();
	}
*/
	$data_object->closeDB();
}

$show_data = file_get_contents('../../templates/usr_prac/usr_prac_info.tpl');
$show_data = str_replace(':ERR_MSG:', mb_convert_encoding($err_msg,'UTF-8', 'EUC-JP'), $show_data);

$show_data = str_replace(':PRAC_TITLE_TXT:', $practice_title, $show_data);
$show_data = str_replace(':PRAC_TXT_REP:', $practice_text, $show_data);

//for ($i=0; $i<3; $i++) {
for ($i=0; $i<6; $i++) {
	$selected = "";
	if ($answer === $i) $selected = "SELECTED";
	$show_data = str_replace(":SELECTED_REP".$i.":", $selected, $show_data);

}

$show_data = str_replace(':DEP_SEL_REP:', $department_sel, $show_data);
$show_data = str_replace(':LEV_SEL_REP:', $level_sel, $show_data);
$show_data = str_replace(':DIF_SEL_REP:', $dif_sel, $show_data);

for ($i=0; $i<3; $i++) {
	$selected = "";
	if ($status === $i) $selected = "SELECTED";
	$show_data = str_replace(":ST_SELECTED_REP".$i.":", $selected, $show_data);
}
$show_data = str_replace(':COMMENT_REP:', $comment, $show_data);

for ($i=0; $i<10; $i++) {
	$key_word_txt = "";
	if (isset($key_word_arr[$i])) $key_word_txt = $key_word_arr[$i];
	$show_data = str_replace(':KEY_WORD'.$i.'_REP'.$i.':', $key_word_txt, $show_data);
}

for ($i=0; $i < 10; $i++) {
	$item_order = "";
	$item_txt = "";
	$is_right = 0;
	if (isset($item_bango_arr[$i])) {
		$item_order = $item_bango_arr[$i];
		$item_txt = $item_txt_arr[$i];
		$is_right = $item_is_right_arr[$i];
	}
	$show_data = str_replace(':BANGO_REP'.$i.':', $item_order, $show_data);
	$show_data = str_replace(':ITEM_TXT_REP'.$i.':', $item_txt, $show_data);
	if ($is_right == 1) {
		$show_data = str_replace(':IS_RIGHT'.$i.'_REP:', "CHECKED", $show_data);
	} else {
		$show_data = str_replace(':IS_RIGHT'.$i.'_REP:', "", $show_data);
	}
}

//$show_data = str_replace(':DEL_BUTTON_REP:', $for_del, $show_data);

$show_data = str_replace(':KEY_WORD_DISPLAY_REP:', $is_keyword_display, $show_data);
$show_data = str_replace(':ITEM_DISPLAY_REP:', $is_item_display, $show_data);

$show_data = str_replace(':PRA_ID_REP:', $practice_id, $show_data);
$show_data = str_replace(':QUE_ID_REP:', $question_id, $show_data);
$show_data = str_replace(':EDIT_DISP_REP:', $edit_disp, $show_data);

$show_data = str_replace(':IMG_VIEW_REP:', $img_url, $show_data);
$show_data = str_replace(':EXIST_FILE_NAME_REP:', $img_file, $show_data);
$show_data = str_replace(':FILE_INPUT_DISPLAY_REP:', $is_file_input_display, $show_data);
$show_data = str_replace(':FILE_EXIST_DISPLAY_REP:', $is_file_exist_display, $show_data);
$show_data = str_replace(':PRAC_LIST_REP:', $prac_list_txt, $show_data);
$show_data = str_replace(':IS_ALREADY_FLAGED:', $is_already_flaged, $show_data);
$show_data = str_replace(':FLAG_SUBMIT_LABEL:', $flag_submit_label, $show_data);
$show_data = str_replace(':SHOW_OTHER_REP:', $show_other_disp, $show_data);
$show_data = str_replace(':SHARED_AD_REP:', $shared_emad_disp, $show_data);
$show_data = str_replace(':COMMENT_LIST_REP:', $comment_list, $show_data);
$show_data = str_replace(':ANALYSIS_LIST_REP:', $analysis_list, $show_data);
$show_data = str_replace(':CREATER_DISP_REP:', $creater_disp, $show_data);
$show_data = str_replace(':PRAC_DISP_REP:', $prac_disp, $show_data);
$show_data = str_replace(':TEXT_ID_REP:', $text_id, $show_data);
$show_data = str_replace(':ANA_HISTORY_REP:', $history, $show_data);
$show_data = str_replace(':ANA_BUNPU_REP:', $bunpu, $show_data);

$show_data = str_replace(':AV_VIEW_REP:', $av_url, $show_data);
$show_data = str_replace(':EXIST_AVFILE_NAME_REP:', $av_file, $show_data);
$show_data = str_replace(':AVFILE_INPUT_DISPLAY_REP:', $is_avfile_input_display, $show_data);
$show_data = str_replace(':AVFILE_EXIST_DISPLAY_REP:', $is_avfile_exist_display, $show_data);

echo $show_data;
?>