<?php
require_once '../data/constant.php';

require_once '../data/db_access.php';
require_once '../data/table_access.php';
require_once '../data/data_for_test.php';
require_once '../util/for_moshi.php';


ini_set("session.save_handler","files");
session_start();
if (!isset($_SESSION[SESSION_ADMIN])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."teacher/login.php");
	exit;
} else {
	
	$is_chagable = "";
	$class_mod ="";
	$ses_arr = $_SESSION[SESSION_ADMIN];
	$admin_status = $ses_arr['status'];
	$admin_id=$ses_arr['teacher_id'];
	$department = "";
	$difficulty = "";
	$level="";
	$recommend="";
	$teacher_nam = htmlspecialchars(mb_convert_encoding($ses_arr['teacher_nam'],'UTF-8',XOOPS_SRT_ENCODE),ENT_QUOTES);
	
	
	//2014/6/25add
	$hidden_list = "";
	$link_txt="";
	
	//2015/3/31add
	$hidden_req_list = "";
	$req_link_txt = "";
	
	$data_object = new CDbAccess();
	if ($data_object->openDB() == false) {
		$err_msg .= $data_object->err_msg;
	} else {

		$moshi_notif_obj = new CMoshiNotification();
		if ($moshi_notif_obj->checkNewComTeaTop($data_object->conn, $admin_id)){
			$link_txt = $moshi_notif_obj->getLinkTxt ();
			$hidden_list = $moshi_notif_obj->getHiddenList ();
		}
		
		if ($moshi_notif_obj->checkNewAllowTeaTop($data_object->conn, $admin_id)) {
			$hidden_req_list = $moshi_notif_obj->getHiddenReqList();
			$req_link_txt =$moshi_notif_obj->getReqLinkTxt();
		}
	
		$data_object->closeDB();
	}
	
	if ($admin_status == 1) {
		$class_mod = "<a href ='./class_reg/class_list.php'>"._EXAM_TEA_INDEX_CLASSLIST_LINK1;
		$class_mod .= "</a>";
		$department = "<a href='./department_reg/dep_list.php'>"._EXAM_TEA_INDEX_DEPLIST_LINK."</a>";
		$difficulty = "<a href='./difficulty_reg/diffic_list.php'>"._EXAM_TEA_INDEX_DIFFICLIST_LINK."</a>";
		$level="<a href='./txt_level_reg/txt_level_list.php'>"._EXAM_TEA_INDEX_LEVELLIST_LINK."</a>";
	//	$recommend = "<a href='./recommend_reg/'>"._EXAM_TEA_INDEX_RECOMMEND_LINK."</a>";
	} else {
		$class_mod = "<a href ='./class_reg/class_list.php?'>"._EXAM_TEA_INDEX_CLASSLIST_LINK2;
		$class_mod .= "</a>";
	}
	$show_data = file_get_contents(TEMPLATE_DIR.'ad_top/admin_index.tpl');
/*
$show_data = ereg_replace('ADMIN_NAME', mb_convert_encoding($ses_arr['teacher_nam'],'UTF-8', 'EUC-JP'), $show_data);
$show_data = ereg_replace(':CLASS_REG:', mb_convert_encoding($class_mod,'UTF-8', 'EUC-JP'), $show_data);
*/
	$show_data = str_replace('ADMIN_NAME', $teacher_nam, $show_data);
	$show_data = str_replace(':CLASS_REG:', $class_mod, $show_data);
	$show_data = str_replace(':DEPARTMENT_TXT:', $department, $show_data);
	$show_data = str_replace(':DIFFICULTY_TXT:', $difficulty, $show_data);
	$show_data = str_replace(':LEVEL_TXT:', $level, $show_data);
	$show_data = str_replace(':RECOM_TXT:', $recommend, $show_data);
	$show_data = str_replace(':LINK_TXT_REP:', $link_txt, $show_data);
	$show_data = str_replace(':HIDDEN_LIST_REP:', $hidden_list, $show_data);
	
	$show_data = str_replace(':LINK_REQ_TXT_REP:', $req_link_txt, $show_data);
	$show_data = str_replace(':HIDDEN_REQ_LIST_REP:', $hidden_req_list, $show_data);
	
	echo $show_data;
}
?>